import request from '@/utils/request'

// 查询设备-EMQX鉴权信息列表
export function listAuth(query) {
  return request({
    url: '/emqx/auth/list',
    method: 'get',
    params: query
  })
}

// 查询设备-EMQX鉴权信息详细
export function getAuth(id) {
  return request({
    url: '/emqx/auth/' + id,
    method: 'get'
  })
}

// 新增设备-EMQX鉴权信息
export function addAuth(data) {
  return request({
    url: '/emqx/auth',
    method: 'post',
    data: data
  })
}

// 修改设备-EMQX鉴权信息
export function updateAuth(data) {
  return request({
    url: '/emqx/auth',
    method: 'put',
    data: data
  })
}

// 删除设备-EMQX鉴权信息
export function delAuth(id) {
  return request({
    url: '/emqx/auth/' + id,
    method: 'delete'
  })
}
