import request from '@/utils/request'

// 查询设备维保记录列表
export function listRecord(query) {
  return request({
    url: '/maintain/record/list',
    method: 'get',
    params: query
  })
}

// 查询设备维保记录详细
export function getRecord(id) {
  return request({
    url: '/maintain/record/' + id,
    method: 'get'
  })
}

// 新增设备维保记录
export function addRecord(data) {
  return request({
    url: '/maintain/record',
    method: 'post',
    data: data
  })
}

// 修改设备维保记录
export function updateRecord(data) {
  return request({
    url: '/maintain/record',
    method: 'put',
    data: data
  })
}

// 删除设备维保记录
export function delRecord(id) {
  return request({
    url: '/maintain/record/' + id,
    method: 'delete'
  })
}
