import request from '@/utils/request'

// 查询设备指标阈值信息列表
export function listThreshold(query) {
  return request({
    url: '/device/threshold/list',
    method: 'get',
    params: query
  })
}

// 查询设备指标阈值信息详细
export function getThreshold(id) {
  return request({
    url: '/device/threshold/' + id,
    method: 'get'
  })
}

// 新增设备指标阈值信息
export function addThreshold(data) {
  return request({
    url: '/device/threshold',
    method: 'post',
    data: data
  })
}

// 修改设备指标阈值信息
export function updateThreshold(data) {
  return request({
    url: '/device/threshold',
    method: 'put',
    data: data
  })
}

// 删除设备指标阈值信息
export function delThreshold(id) {
  return request({
    url: '/web/threshold/' + id,
    method: 'delete'
  })
}
